# TODO: https://bugzilla.altlinux.org/show_bug.cgi?id=10901
%define origname gwenhywfar
Name: libgwenhywfar
Version: 3.5.2
Release: alt1

Summary: A multi-platform helper library for other libraries
Group: System/Libraries
License: LGPL

Packager: Vitaly Lipatov <lav@altlinux.ru>

Url: http://sourceforge.net/projects/%origname
Source: http://prdownloads.sf.net/%origname/%origname-%version.tar.gz
Patch: %name-cert.patch
Patch1: %name-pthread.patch

# Automatically added by buildreq on Mon Nov 24 2008
BuildRequires: gcc-c++ glibc-devel-static graphviz libcom_err-devel libgnutls-devel libssl-devel tzdata

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
www.libchipcard.de and OpenHBCI-TNG (The Next Generation)
www.openhbci.de.

Check http://www.freesource.info/wiki/Altlinux/Policy/TLS
for ALT Linux TLS/SSL policy

%package devel
Summary: Gwenhywfar development kit
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.

%prep
%setup -q -n %origname-%version
%patch
%patch1

%build
%autoreconf
%configure --disable-static --with-openssl-libs=%_libdir
%make_build

%install
%makeinstall_std
%find_lang %origname

%post
%post_ldconfig

%postun
%postun_ldconfig

%files -f %origname.lang
%doc AUTHORS README ChangeLog
%_bindir/gct-tool
#%_sysconfdir/*
%_libdir/*.so.*
%_libdir/%origname/
#%_datadir/gwenhywfar/*.crt

%files devel
%_bindir/%origname-config
%_bindir/xmlmerge
%_bindir/mklistdoc
%_bindir/typemaker
%_libdir/*.so
%_includedir/gwenhywfar3/
%_pkgconfigdir/*
#%_includedir/gwenpp
#%_libdir/*.la
#%_libdir/*.a
#%_datadir/%origname/
%_datadir/aclocal/gwenhywfar.m4

%changelog
* Mon Nov 24 2008 Vitaly Lipatov <lav@altlinux.ru> 3.5.2-alt1
- new version 3.5.2 (with rpmrb script)

* Sat Jul 26 2008 Vitaly Lipatov <lav@altlinux.ru> 3.2.0-alt2
- cleanup spec, move gct-tool to original dir
- fix bug #10901 (use ca-bundle.crt from datadir/ca-certificates/)

* Tue Apr 22 2008 Vitaly Lipatov <lav@altlinux.ru> 3.2.0-alt1
- new version 3.2.0 (with rpmrb script)
- update buildreqs

* Wed Apr 11 2007 Vitaly Lipatov <lav@altlinux.ru> 2.5.4-alt1
- new version 2.5.4
- do not pack /etc/gwen-public-ca.crt
- update buildreq, fix x86_64 build (use --with-openssl-libs (thanks at@))

* Mon Sep 11 2006 Vitaly Lipatov <lav@altlinux.ru> 2.4.0-alt0.1
- new version 2.4.0
- update buildreq

* Mon May 01 2006 Vitaly Lipatov <lav@altlinux.ru> 2.2.0-alt0.1
- new version

* Mon Dec 19 2005 Vitaly Lipatov <lav@altlinux.ru> 1.19.2-alt0.1
- new version

* Mon Aug 22 2005 Igor Muratov <migor@altlinux.org> 1.16.0-alt1
- new version

* Wed Aug 10 2005 Igor Muratov <migor@altlinux.org> 1.14.0-alt1
- new version

* Sun Mar 06 2005 Vitaly Lipatov <lav@altlinux.ru> 1.7.1-alt1
- first build for ALT Linux Sisyphus

